import { EventEmitter } from '@angular/core';
import { RCalendarViewMode, RCalendarViewModeValues } from '../../model';
import { RCalendarYearModelService } from '../../services/calendar-year-model.service';
import { RDateService } from '../../services/date.service';
export declare class RCalendarViewModeComponent<D> {
    protected dateService: RDateService<D>;
    protected yearModelService: RCalendarYearModelService<D>;
    date: D;
    viewMode: RCalendarViewMode;
    static ngAcceptInputType_viewMode: RCalendarViewModeValues;
    changeMode: EventEmitter<void>;
    constructor(dateService: RDateService<D>, yearModelService: RCalendarYearModelService<D>);
    getText(): string;
    getIcon(): string;
    protected getFirstYear(): string;
    protected getLastYear(): string;
}
